# textField

## Purpose

Creates a input of type 'text' (a text field). An implicit "id" attribute is given the same value as name unless you explicitly specify one. All the usual HTML elements apply beyond the below:

## Examples

    <g:textField name="myField" value="${myValue}" />

## Description

Attributes

- `name` (required) - The name of the text field
- `value` (optional) - The value of the text field

## Source

Show Source

    def textField = {attrs ->
            attrs.type = "text"
            attrs.tagName = "textField"
            fieldImpl(out, attrs)
        }